#ifndef __EPGSEARCH_MENUMAIN_H
#define __EPGSEARCH_MENUMAIN_H

#include <vdr/menuitems.h>

// --- cMenuMyScheduleItem -----------------------------------------------------

class cMenuMyScheduleItem : public cOsdItem {
public:
  const cEvent *event;
  cMenuMyScheduleItem(const cEvent *Event);
};

// --- cMenuSearchMain ---------------------------------------------------------

class cMenuSearchMain : public cOsdMenu {
private:
  cSchedulesLock schedulesLock;
  const cSchedules *schedules;
  int otherChannel;
  int currentChannel;
  eOSState Record(void);
  eOSState ExtendedSearch(void);
  void PrepareSchedule(cChannel *Channel);
  eOSState Commands(eKeys Key);
  void SetHelpKeys();
  int shiftTime;
  bool InWhatsOnMenu;
public:
  cMenuSearchMain(void);
  virtual ~cMenuSearchMain();
  virtual eOSState ProcessKey(eKeys Key);
  eOSState Switch(void);
  eOSState Shift(int iMinutes);
  eOSState ShowSummary();
  };

#endif
