/*
 * autotimer.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: i18n.c 1.1 2004/04/24 10:08:10 hflor Exp $
 */

#include "i18n.h"

const tI18nPhrase Phrases[] = {
  { "search the EPG for repeats and more",
    "Suche im EPG nach Wiederholungen und anderem",// Deutsch
    "",// TODO Slovenski
    "Cerca nella guida EPG: per parole, repliche e pi",// Italiano Sean Carlos 2005.01.16
    "",// TODO Nederlands
    "",// TODO Portugues
    "Recherche de rptition dans EPG",// Francais Patrice Staudt 4.1.2005
    "",// TODO Norsk
    "Hakutoiminto ohjelmaoppaalle",
    "",// TODO Polski
    "",// TODO Espaol
    "",// TODO  (Greek)
    "",// TODO Svenska
    "",// TODO Romaneste
    "",// TODO Magyar
    "",// TODO Catal
    "",// TODO  (Russian)
    "",// TODO Hrvatski (Croatian)
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "This plugin has no info text!",
    "Dieses Plugin hat keinen Infotext!",
    "",// TODO
    "Questo plugin non ha ulteriori informazioni",// TODO
    "",// TODO
    "",// TODO
    "Le plugin n'a pas de text d'info",
    "",// TODO
    "Laajennoksella ei ole infoteksti!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search",
    "Suche",
    "",// TODO
    "Programmi e ricerca",// TODO
    "",// TODO
    "",// TODO
    "Recherche",
    "",// TODO
    "Etsi ohjelmaoppaasta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
 { "by channel",
    "nach Programm",
    "",// TODO
    "Per canale",// Italiano
    "",// TODO
    "",// TODO
    "de programme",
    "",// TODO
    "Kanavat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "by time",
    "nach Beginn",
    "",// TODO
    "Per ora",// Italiano 
    "",// TODO
    "",// TODO
    "de dbut",
    "",// TODO
    "Kellonajat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "additional starting times",
    "zustzliche Startzeiten",
    "",// TODO
    "altre ore di inizio",// Italiano
    "",// TODO
    "",// TODO
    "temps de dbuts supplmentaires",
    "",// TODO
    "Lydetyt aloitusajat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Repeats",
    "Wiederholung",
    "",// TODO
    "Repliche",// Italiano
    "",// TODO
    "",// TODO
    "Rptitions",
    "",// TODO
    "Toistuvat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search term",
    "Suche",
    "",// TODO
    "Parola da cercare",// Italiano
    "",// TODO
    "",// TODO
    "Rechercher",
    "",// TODO
    "Hakutermi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search mode",
    "Suchmodus",
    "",// TODO
    "Modalit di ricerca",// Italiano
    "",// TODO
    "",// TODO
    "Mode de recherche",
    "",// TODO
    "Hakutapa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "phrase",
    "Ausdruck",
    "",// TODO
    "frase",// Italiano
    "",// TODO
    "",// TODO
    "Phrase",
    "",// TODO
    "fraasi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "all words",
    "alle Worte",
    "",// TODO
    "tutte le parole",// Italiano
    "",// TODO
    "",// TODO
    "tout les mots",
    "",// TODO
    "kaikki sanat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "at least one word",
    "ein Wort",
    "",// TODO
    "almeno una parola",// Italiano
    "",// TODO
    "",// TODO
    "un mot",
    "",// TODO
    "yksi sana",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Match case",
    "Gro/klein",
    "",// TODO
    "Maiuscolo/Minuscolo",// Italiano
    "",// TODO
    "",// TODO
    "Maj/Minuscule",
    "",// TODO
    "Huomioi kirjainkoko",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use title",
    "Verw. Titel",
    "",// TODO
    "Utilizzare titolo",// Italiano
    "",// TODO
    "",// TODO
    "Utilise titre",
    "",// TODO
    "Kyt ohjelmanime",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use subtitle",
    "Verw. Untertitel",
    "",// TODO
    "Utilizzare sottotitolo",// Italiano
    "",// TODO
    "",// TODO
    "Utilise sous-titre",
    "",// TODO
    "Kyt lyhytt ohjelmakuvausta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Use time",
    "Verw. Uhrzeit",
    "",// TODO
    "Utilizzare l'ora",// Italiano
    "",// TODO
    "",// TODO
    "Utilise l'heure",
    "",// TODO
    "Kyt aloitusaikaa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use description",
    "Verw. Beschreibung",
    "",// TODO
    "Utilizzare descrizione",// Italiano
    "",// TODO
    "",// TODO
    "Utilise la description",
    "",// TODO
    "Kyt ohjelmakuvausta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use channel",
    "Verw. Kanal",
    "",// TODO
    "Utilizzare canale",// Italiano
    "",// TODO
    "",// TODO
    "Utilise le canal",
    "",// TODO
    "Kyt kanavaa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Channel",
    "  Kanal",
    "",// TODO
    "  Canale",// Italiano
    "",// TODO
    "",// TODO
    "  Canal",
    "",// TODO
    "  Kanava",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Start after",
    "  Start nach",
    "",// TODO
    "  Comincia dopo",// Italiano
    "",// TODO
    "",// TODO
    "  Dpart aprs",
    "",// TODO
    "  Aloitusaika aikaisintaan",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Start before",
    "  Start vor",
    "",// TODO
    "  Comincia prima",// Italiano
    "",// TODO
    "",// TODO
    "  Dpart avant",
    "",// TODO
    "  Aloitusaika viimeistn",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search results",
    "Suchergebnisse",
    "",// TODO
    "Risultati della ricerca",// Italiano
    "",// TODO
    "",// TODO
    "Rsultat de recherche",
    "",// TODO
    "Hakutulokset",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit search",
    "Suche editieren",
    "",// TODO
    "Modifica ricerca",// Italiano
    "",// TODO
    "",// TODO
    "Edition recherche",
    "",// TODO
    "Muokkaa hakua",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Hide main menu entry",
    "Hauptmeneintrag verstecken",
    "",// TODO
    "Nascondi voce nel men principale",// Italiano
    "",// TODO
    "",// TODO
    "Invisible dans le menu principal",
    "",// TODO
    "Piilota valinta pvalikosta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Replace original schedule",
    "Originale Programmbersicht ersetzen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Korvaa alkuperinen ohjelmaopas",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit$Delete search?",
    "Suche lschen?",
    "",// TODO
    "Cancellare criteri?",// Italiano
    "",// TODO
    "",// TODO
    "Effacer la recherche",
    "",// TODO
    "Poistetaanko haku?",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit$Search text too short - use anyway?",
    "Suchtext zu kurz - trotzdem verwenden?",
    "",// TODO
    "Il testo da cercare  troppo corto.  Continuare lo stesso?",// Italiano
    "",// TODO
    "",// TODO
    "Texte de recherche trop cour - l'utiliser comme mme?",
    "",// TODO
    "Liian suppea hakuehto - etsitnk silti?",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Error$Missing search text!",
    "Fehlender Suchtext!",
    "",// TODO
    "Manca il testo da cercare!",// Italiano
    "",// TODO
    "",// TODO
    "Le texte de recherche manque!",
    "",// TODO
    "Hakuehto puuttuu!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "EPG Commands",
    "EPG Befehle",
    "",// TODO
    "Comandi EPG",// Italiano
    "",// TODO
    "",// TODO
    "Commande EPG",
    "",// TODO
    "Komennot",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Red key",
    "Taste Rot",
    "",// TODO
    "Tasto rosso",// Italiano
    "",// TODO
    "",// TODO
    "Touche rouge",
    "",// TODO
    "Punainen nppin",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Blue key",
    "Taste Blau",
    "",// TODO
    "Tasto azzurro",// Italiano
    "",// TODO
    "",// TODO
    "Touche bleu",
    "",// TODO
    "Sininen nppin",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Standard",
    "Standard",
    "",// TODO
    "Standard",// Italiano
    "",// TODO
    "",// TODO
    "Standart",
    "",// TODO
    "Vakio",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO 
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Button$Commands",
    "Befehle",
    "",// TODO
    "Comandi",// Italiano
    "",// TODO
    "",// TODO
    "Commandes",
    "",// TODO
    "Komennot",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Button$Search",
    "Suche",
    "",// TODO
    "Cerca",// Italiano
    "",// TODO
    "",// TODO
    "Recherche",
    "",// TODO
    "Etsi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use duration",
    "Verw. Dauer",
    "",// TODO
    "Utilizzare durata",// Italiano
    "",// TODO
    "",// TODO
    "Dure d'utilisation",
    "",// TODO
    "Kyt kestoaikaa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Max. duration",
    "  Max. Dauer",
    "",// TODO
    "  Durata Massima",// Italiano
    "",// TODO
    "",// TODO
    "  Dure max.",
    "",// TODO
    "  Kestoaika enintn",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Min. duration",
    "  Min. Dauer",
    "",// TODO
    "  Durata Minima",// Italiano
    "",// TODO
    "",// TODO
    "  Dure min.",
    "",// TODO
    "  Kestoaika vhintn",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Overview",
    "bersicht",
    "",// TODO
    "Sommario",// Italiano
    "",// TODO
    "",// TODO
    "Vue d'ensemble",
    "",// TODO
    "Yleiskatsaus",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use user time",
    "Verw. benutzerdef. Zeit",
    "",// TODO
    "Utilizzare ora utente",// Italiano
    "",// TODO
    "",// TODO
    "Utiliser temp de l'utilisateur",
    "",// TODO
    "Mrittele ajankohta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Description",
    "  Beschreibung",
    "",// TODO
    "  Descrizione",// Italiano
    "",// TODO
    "",// TODO
    "  Description",
    "",// TODO
    "  Kuvaus",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Time",
    "  Zeit",
    "",// TODO
    "  Ora",// Italiano
    "",// TODO
    "",// TODO
    "  Temps",
    "",// TODO
    "  Kellonaika",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Show progress in 'Now'",
    "Zeige Fortschritt in 'Jetzt'",
    "",// TODO
    "Visualizza progresso in 'Adesso'",// Italiano
    "",// TODO
    "",// TODO
    "Afficher le progrs dans 'Maintenant'",
    "",// TODO
    "Nyt aikajana 'Nyt'-sivulla",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Show progress in 'Next'",
    "Zeige Fortschritt in 'Nchste'",
    "",// TODO
    "",
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nyt aikajana 'Seuraavaksi'-sivulla",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "  Display width",
    "  Anzeigenbreite",
    "",// TODO
    "  Larghezza visualizzazione",// Italiano
    "",// TODO
    "",// TODO
    "  Largeur d'affichage",
    "",// TODO
    "  Aikajanan leveys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Show channel numbers",
    "Zeige Kanalnummern",
    "",// TODO
    "Visualizzare i numeri dei canali",// Italiano
    "",// TODO
    "",// TODO
    "Afficher le numro de la chaine",
    "",// TODO
    "Nyt kanavien numerointi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use search timers",
    "Verwende Suchtimer",
    "",// TODO
    "Abilitare creazione del timer di ricerca",// TODO
    "",// TODO
    "",// TODO
    "Utiliser le programmateur de recherche",
    "",// TODO
    "Kyt hakuajastimia",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Update interval [min]",
    "  Aktualisierungsintervall [min]",
    "",// TODO
    "  Intervallo d'aggiornamento",// Italiano
    "",// TODO
    "",// TODO
    "  Interval d'actualisation [min]",
    "",// TODO
    "  Pivitysvli [min]",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use day of week",
    "Verw. Wochentag",
    "",// TODO
    "Utilizzare giorno della settimana",// Italiano
    "",// TODO
    "",// TODO
    "Utiliser les jours de la semaine",
    "",// TODO
    "Kyt viikonpiv",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Day of week",
    "  Wochentag",
    "",// TODO
    "  Giorno della settimana",// Italiano
    "",// TODO
    "",// TODO
    "  Jours de la semaine",
    "",// TODO
    "  Viikonpiv",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use as search timer",
    "Als Suchtimer verwenden",
    "",// TODO
    "Utilizzare come timer di ricerca",// Italiano
    "",// TODO
    "",// TODO
    "Utiliser la recherche",
    "",// TODO
    "Kyt hakuajastimena",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "user defined",
    "benutzerdefiniert",
    "",// TODO
    "definizione dell'utente",// TODO
    "",// TODO
    "",// TODO
    "definition utilisateur",
    "",// TODO
    "valitut",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit user defined days of week",
    "Benutzerdefinierte Wochentage editieren",
    "",// TODO
    "Modificare giorni della settimana definiti dall'utente",// TODO
    "",// TODO
    "",// TODO
    "Edition des journes dfinit par l'utilisateur",
    "",// TODO
    "Muokkaa valittuja viikonpivi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Create search",
    "Suche anlegen",
    "",// TODO
    "Crea ricerca",// TODO
    "",// TODO
    "",// TODO
    "Crer une recherche",
    "",// TODO
    "Luo haku",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  Series recording",
    "  Serienaufnahme",
    "",// TODO
    "  Registrazione serie",// Italiano
    "",// TODO
    "",// TODO
    "  Engeristrement serie",
    "",// TODO
    "  Sarjatallennus",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Directory",
    "Verzeichnis",
    "",// TODO
    "Cartella",// Italiano
    "",// TODO
    "",// TODO
    "Fichiers",
    "",// TODO
    "Hakemisto",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "found recordings",
    "gefundene Aufnahmen",
    "",// TODO
    "registrazioni trovate",// Italiano 
    "",// TODO
    "",// TODO
    "Engeristrement trouve",
    "",// TODO
    "lydetyt tallenteet",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search in recordings",
    "Suche in Aufnahmen",
    "",// TODO
    "Cerca nelle registrazioni",// Italiano
    "",// TODO
    "",// TODO
    "Recherche dans engeristrement",
    "",// TODO
    "Etsi tallenteista",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "pipes",
    "Pipes",
    "",// TODO
    "barre verticali",// Italiano
    "",// TODO
    "",// TODO
    "Pipes",
    "",// TODO
    "teksti", // 'text'/'ascii' as propotional for graphical
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "graphical",
    "graphisch",
    "",// TODO
    "grafica",// Italiano
    "",// TODO
    "",// TODO
    "Graphique",
    "",// TODO
    "grafiikka",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  SVDRP port",
    "  SVDRP Port",
    "",// TODO
    "  Porta SVDRP",// Italiano
    "",// TODO
    "",// TODO
    "  SVDRP Port",
    "",// TODO
    "  SVDRP-portti",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Toggle Green/Yellow",
    "Grn/Gelb umschalten",
    "",// TODO
    "Abilitare lo scambio dei tasti Verde/Giallo",// Italiano
    "",// TODO
    "",// TODO
    "commuter vert/jaune",
    "",// TODO
    "Kyt aikasiirtym vrinppimill",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Time interval for FRew/FFwd [min]",
    "Zeitintervall fr FRew/FFwd [min]",
    "",// TODO
    "Intervallo indietro/avanti [min]",// Italiano
    "",// TODO
    "",// TODO
    "Intervalle pour FRew/FFwd [min]",
    "",// TODO
    "Oletusaikasiirtym [min]",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use short channel names",
    "Kurze Sendernamen",
    "",// TODO
    "Utilizzare i nomi corti dei canali",// Italiano
    "",// TODO
    "",// TODO
    "Nom de Chane brve",
    "",// TODO
    "Kyt lyhyit kanavien nimi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  from channel",
    "  von Kanal",
    "",// TODO
    "  da canale",// Italiano
    "",// TODO
    "",// TODO
    "  de la Chane",
    "",// TODO
    "  Kanavasta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "  to channel",
    "  bis Kanal",
    "",// TODO
    "  a canale",// Italiano
    "",// TODO
    "",// TODO
    "   la Chane",
    "",// TODO
    "  Kanavaan",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Start menu",
    "Start Menu",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Menue de dpart",
    "",// TODO
    "Oletusnytt",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Please check channel criterions!",
    "Bitte Senderkriterien prfen!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Vrifier le critre de la chane!",
    "",// TODO
    "Tarkasta hakuehdot!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Title",
    "Titel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "titre",
    "",// TODO
    "Nimet",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Episode",
    "Episode",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "nom de l'pisode",
    "",// TODO
    "Jaksot",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "only FTA",
    "ohne PayTV",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "sans PayTV",
    "",// TODO
    "Vapaat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "all channels",
    "mit PayTV",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "avec PayTV",
    "",// TODO
    "Kaikki",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Check timer conflicts",
    "Timer-Konflikte prfen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "Vrifier conflit timeur",
    "",// TODO
    "Tarkasta pllekkiset ajastimet",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Attention: conflicting timers found!",
    "Achtung: Timer-Konflikte gefunden!",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "Attention: trouver des conflits de timeur!",
    "",// TODO
    "Huomio: pllekkisi ajastimia!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Announce only (no timer)",
    "Nur ankndigen (kein Timer)",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "Seulement l'annonce (non timeur)",
    "",// TODO
    "Kyt vain muistutuksena",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "match exactly",
    "exakt",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "correspond exactement",
    "",// TODO
    "tsmllinen",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "regular expression",
    "regulrer Ausdruck",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "expression rguliere",
    "",// TODO
    "snnllinen lauseke",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  // The allowed characters in strings:
  { "$ abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",// TODO
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",// TODO
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",// TODO
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " 0123456789-.#~abcdefghijklmnopqrstuvwxyz\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%", // hrv
#if VDRVERSNUM && VDRVERSNUM >= 10313
    " abcdefghijklmnopqrsztuvwxy0123456789-.#~\\^$[]|()*+?{}/:%",
#if VDRVERSNUM >= 10316
    " abcdefghijklmnopqrstuvwxyz0123456789-.#~\\^$[]|()*+?{}/:%",
#endif
#endif
  },
  { "Ignore PayTV channels",
    "PayTV-Sender ignorieren",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Jt salatut kanavat huomioimatta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Select",
    "Auswahl",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Valitse",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Select directory",
    "Verzeichnis whlen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Valitse hakemisto",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use extended EPG info",
    "Verw. erweiterte EPG Info",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kyt laajennettua ohjelmaopasta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "With subtitle",
    "Mit Untertitel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kuvaus",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Without subtitle",
    "Ohne Untertitel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Ei kuvausta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Reset",
    "Zurcksetzen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Alusta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Level",
    "Ebene",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Taso",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "interval",
    "Bereich",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "kyll",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "channel group",
    "Kanalgruppe",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "kanavaryhm",
    "",// TODO
    "",// TODO  
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Channel group",
    "Kanalgruppe",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kanavaryhm",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Channel groups",
    "Kanalgruppen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kanavaryhmt",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit$Delete group?",
    "Gruppe lschen?",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Poistetaanko kanavaryhm?",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Channel group used by:",
    "Gruppe wird verwendet von:",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kanavaryhm kytss:",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Group name",
    "Gruppenname",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kanavaryhmn nimi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit channel group",
    "Kanalgruppe editieren",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Muokkaa kanavaryhm",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Group name is empty!",
    "Gruppenname ist leer!",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kanavaryhmlt puuttuu nimi!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Group name already exists!",
    "Gruppe existiert bereits!",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Samanniminen kanavaryhm on jo olemassa!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Invert selection",
    "Ausw. umdrehen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Pinvastoin",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "All yes",
    "Alle ja",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kaikki",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "All no",
    "Alle nein",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Ei yhtn",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search timer",
    "Suchtimer",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Hakuajastin",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Avoid repeats",
    "Vermeide Wiederholung",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Est uusinnat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Compare subtitle",
    "Vergleiche Untertitel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vertaa jakson nime",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Compare summary",
    "Vergleiche Beschreibung",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vertaa kuvausta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search entries",
    "Sucheintrge",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Hakutermit",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "active",
    "aktiv",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "aktiivista",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Show all",
    "Zeige alle",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nyt kaikki",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Edit$Delete entry?",
    "Eintrag lschen?",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Poista hakutermi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Edit$Delete all entries?",
    "Alle Eintrge lschen?",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Poista kaikki hakutermit",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Delete all",
    "Alle lschen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Poista kaikki",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Default recording dir",
    "Standard Aufn.-Verzeichnis",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Oletushakemisto tallenteille",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Allowed repeats",
    "Erlaubte Wiederholungen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Sallittujen uusintojen lukumr",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Compare title",
    "Vergleiche Titel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vertaa nime",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "by name",
    "nach Name",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nimi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "by date",
    "nach Datum",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Pivmr",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Mark as 'already recorded'?",
    "als 'bereits aufgezeichnet' markieren?",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Merkitse tallennetuksi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use VDR's timer edit menu",
    "VDR's Timer-Edit-Menu verw.",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Kyt VDR:n ajastinvalikkoa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Run search timer update?",
    "Suchtimer-Update ausfhren?",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Pivitetnk hakuajastin?",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Compare",
    "Vergleiche",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vertaa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Compare categories",
    "Vergl. Kategorien",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vertaa kategorioita",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Only repeats within ... days",
    "Nur Wiederh. innerhalb ... Tagen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Vain uusinnat ... pivn sisll",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Programming timer failed!",
    "Timer-Programmierung fehlschlagen!",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Ajastimen ohjelmointi eponnistui!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Timer preview",
    "Timer-Vorsch.",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Esikatselu",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Subtitle",
    "Untertitel",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Jakson nimi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search actions",
    "Suchaktionen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Hakukomennot",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Actions",
    "Aktionen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Komennot",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Execute search",
    "Suche ausfhren",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Suorita haku",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Use as search timer on/off",
    "Als Suchtimer verwenden an/aus",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Aseta/poista hakuajastintoiminto",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Trigger search timer update",
    "Suchtimer jetzt aktualisieren",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Pivit hakuajastin",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Show recordings done",
    "Zeige erledigte Aufnahmen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nyt tehdyt tallennukset",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Search timer update done!",
    "Suchtimer-Update durchgefhrt!",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Hakuajastimet pivitetty!",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },

  { "Show channel separators",
    "Zeige Kanal-Separatoren",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nyt kanavaerottimet",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Show channels without EPG",
    "Zeige Kanle ohne EPG",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Nyt ohjelmaoppaattomat kanavat",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { ">>> no info! <<<",
    ">>> keine Info! <<<",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    ">>> ei tietoja! <<<",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { "Delete recordings after ... days",
    "Aufn. nach ... Tagen lschen",
    "",// TODO
    "",// Italiano
    "",// TODO
    "",// TODO
    "",
    "",// TODO
    "Poista tallenteet ... pivn jlkeen",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM && VDRVERSNUM >= 10313
    "", // Eesti
#if VDRVERSNUM >= 10316
    "", // Dansk
#endif
#endif
  },
  { NULL }
  };
