#ifndef __MENU_SEARCHEDIT_H
#define __MENU_SEARCHEDIT_H

#include "epgsearchext.h"

// --- cMenuEditSearchExt --------------------------------------------------------
class cMenuEditSearchExt : public cOsdMenu {
private:
  cSearchExt *searchExt;
  cSearchExt data;
  int channelMin;
  int channelMax;
  int useTime;
  bool addIfConfirmed;
  int UserDefDayOfWeek;
  int* catselection;
  int channelGroupNr;
  char* channelGroupName;
  char** menuitemsChGr;
  int* catarrayAvoidRepeats;
public:
  cMenuEditSearchExt(cSearchExt *SearchExt, bool New = false);
  virtual ~cMenuEditSearchExt();
  void Set();
  void CreateMenuitemsChannelGroups();
  virtual eOSState ProcessKey(eKeys Key);
  };
 
// --- cMenuEditDaysOfWeek --------------------------------------------------------
class cMenuEditDaysOfWeek : public cOsdMenu {
private:
  int* pDaysOfWeek;
  int Days[7];
  int offset;
  bool negate;
public:
  cMenuEditDaysOfWeek(int* DaysOfWeek, int Offset=0, bool Negate = true);
  virtual eOSState ProcessKey(eKeys Key);
  };

// --- cMenuSearchEditCompCats --------------------------------------------------------
class cMenuSearchEditCompCats : public cOsdMenu {
 private:
    int* search_catarrayAvoidRepeats;
    int* edit_catarrayAvoidRepeats;
public:
  cMenuSearchEditCompCats(int* catarrayAvoidRepeats);
  ~cMenuSearchEditCompCats();
  eOSState ProcessKey(eKeys Key);
  };

#endif
