#include <vdr/status.h>
#include "recdone.h"

// --- cTimerObj --------------------------------------------------------
class cTimerObj : public cListObject {
public:
    cTimer* timer;
    cRecDone* recDone;
public:
    cTimerObj(cTimer* Timer, cRecDone* RecDone) : timer(Timer), recDone(RecDone) {}
    ~cTimerObj() { timer = NULL; recDone = NULL; } // do not delete anything!
};

class cRecStatusMonitor : public cStatus 
{
    cList<cTimerObj> TimersRecording;
protected:
    virtual void Recording(const cDevice *Device, const char *Name);
 public:
    cRecStatusMonitor();
};

